import {  Province, Regency, Region } from "../domains";

type BaseNullValueRes = { Valid: boolean };
export type NullValueRes<Key extends string, _> = BaseNullValueRes & Record<Key, string | number>

export interface GetRequestPagination {
  page: number,
  page_size: number,
}

export interface IHttpResponse {
  data: any,
  error: any,
  status?: number,
};

export interface IDropdownInputProps {
  label: string,
  value: string
}

export interface IndonesiaRegionsInfo {
  regions?: Array<Region>,
  provinces?: Array<Province>,
  regencies?: Array<Regency>,
}

export enum LocationType {
  Beach = "beach",
  AmusementPark = "amusement park",
  Culinary = "culinary",
  HikingCamping = "hiking / camping",
  Other = "other"
}

// https://www.similarweb.com/top-websites/indonesia/computers-electronics-and-technology/social-networks-and-online-communities/#:~:text=facebook.com%20ranked%20number%201,Media%20Networks%20websites%20in%20Indonesia.
// maybe should add ppgames.net too BASED
export enum SocialMediaEnum {
  Facebook = "facebook",
  Instagram = "instagram",
  Tiktox = "tiktok",
  X = "x",
  Youtube = "youtube"
}